.cart-wrapper {
  margin-top: 20px;
  margin-bottom: 38px;
  display: flex;
  justify-content: space-between;
  gap: 20px;
}

/* ******************************** Cart ******************************** */
.cart {
  background-color: var(--payment-bg);
  border-radius: var(--border-radius);
  padding: 0 16px;
  flex: 1.8;
  height: max-content;
}

/* **************** Header **************** */
.cart-header {
  height: 65px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom: 1px solid var(--main-color);
  font-weight: 600;
}

.cart-header-name {
  flex: 1.5;
}

.cart-header-group {
  display: flex;
  justify-content: space-between;
  align-items: center;
  text-align: center;
  flex: 1;
}

.cart-header-group div {
  flex: 1;
}

.cart-store {
  margin-top: 20px;
  display: flex;
  align-items: center;
  gap: 15px;
}

.cart-store-icon {
  height: 20px;
  width: 20px;
}

/* **************** Product **************** */
.cart-product-wrapper {
  margin: 36px 0;
}

.cart-product {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 24px;
}

.cart-product-detail {
  display: flex;
  align-items: center;
  gap: 18px;
  flex: 1.5;
}

.cart-product-price {
  display: flex;
  justify-content: space-between;
  align-items: center;
  text-align: center;
  flex: 1;
}

.cart-product-price > h5 {
  font-weight: 400;
  flex: 1;
}

.cart-product .cart-product-detail .product-detail-img {
  width: 80px;
  height: 80px;
  border-radius: 5px;
  overflow: hidden;
  box-shadow: 0px 0px 4px 0px rgba(0, 0, 0, 0.25);
}
.cart-product .cart-product-detail .product-content {
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
  gap: 10px;
}

.cart-product-detail .product-content .product-content-name {
  font-weight: 500;
}
.cart-product-detail .product-content .product-content-description {
  font-weight: 400;
}

/* **************** Footer **************** */
.cart-footer {
  display: flex;
  align-items: center;
  border-top: 1px solid var(--main-color);
  height: 94px;
}

.cart-footer-message {
  flex: 1;
  display: flex;
  align-items: center;
  gap: 8px;
}

.cart-footer-message lable {
  color: var(--text-rgba);
}

.cart-footer-message input {
  height: 48px;
  width: 264px;
  padding: 10px;
  border: 1px solid rgba(9, 82, 163, 0.2);
  border-radius: var(--border-radius);
  color: var(--main-color);
}

.cart-footer-message input::placeholder {
  color: rgba(0, 0, 0, 0.3);
  font-size: 13px;
  line-height: 15.23px;
}

.cart-footer-total {
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1rem;
}

.cart-footer-total h3 {
  font-weight: 600;
  color: var(--main-color);
}

/* ******************************** Cart Payment ******************************** */
.payment {
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

/* **************** Address **************** */
.payment-address {
  background-color: var(--blue-bg);
  border-radius: var(--border-radius);
  min-height: 265px;
  padding: 20px 26px;
  padding-bottom: 0;
  position: relative;
}
/* Header */
.payment-address-header {
  display: flex;
  align-items: center;
  gap: 10px;
}

.payment-address-icon {
  height: 20px;
  width: 14px;
}

.payment-address-title {
  font-weight: 600;
  color: #181818;
}

/* Content */
.payment-address-content {
  margin: auto;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-weight: 500;
}

/* **************** Voucher + Transport **************** */
.payment-voucher,
.payment-transport {
  background-color: var(--blue-bg);
  border-radius: var(--border-radius);
  min-height: 80px;
  padding: 30px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.payment-voucher-header,
.payment-transport-header {
  display: flex;
  align-items: center;
  gap: 10px;
}

.payment-voucher-icon {
  height: 18px;
  width: 28px;
}

.payment-transport-icon {
  width: 36px;
  height: 26px;
}

.payment-voucher-title,
.payment-transport-title {
  font-weight: 500;
  color: var(--main-color);
}

.payment-voucher > button,
.payment-transport > button {
  color: #808080;
  cursor: pointer;
}

/* **************** Info **************** */
.payment-info {
  background-color: var(--blue-bg);
  border-radius: var(--border-radius);
  min-height: 80px;
  padding: 30px;
  display: flex;
  align-items: center;
  gap: 18px;
}

.payment-info > input {
  height: 24px;
  width: 24px;
}

.payment-info > label {
  font-weight: 600;
  color: #181818;
}

/* **************** Methods **************** */
.payment-methods {
  background-color: var(--payment-bg);
  border-radius: var(--border-radius);
  padding: 28px 30px 22px 22px;
}

.payment-methods-header {
  font-weight: 600;
}

/* Radio Group */
.payment-methods-radios {
  display: flex;
  flex-direction: column;
  gap: 10px;
  margin-top: 30px;
  padding-bottom: 15px;
  border-bottom: 1px solid #808080;
}

.radio-wrapper {
  height: 52px;
  padding: 10px 16px;
  background-color: var(--white-color);
  border-radius: var(--border-radius);
  border: 1px solid #0952a333;
  width: 100%;
  display: flex;
  align-items: center;
  gap: 8px;
  font-weight: 500;
}

.radio-wrapper > input {
  height: 20px;
  width: 20px;
}

.radio-wrapper > input,
.radio-wrapper > label {
  cursor: pointer;
}

.payment-methods-radios-top {
  display: flex;
  align-items: center;
  gap: 17px;
}

/* Wallet Group */
.payment-methods-wallet {
  margin-top: 15px;
  background-color: var(--white-color);
  border: 1px solid #0952a333;
  border-radius: var(--border-radius);
  padding: 18px 20px 20px 23px;
}

.payment-methods-wallet-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.payment-methods-wallet h4 {
  font-weight: 600;
  color: var(--text-color);
}

.payment-methods-wallet-surplus {
  margin-top: 40px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.payment-methods-wallet-surplus h5 {
  color: var(--text-color);
}
.payment-methods-wallet-surplus h3 {
  color: var(--main-color);
  font-weight: 600;
}

/* Order Price Group */
.payment-methods-order-wrapper{
    margin: 0 30px;
    margin-top: 60px;
}

.payment-methods-order-item {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.payment-methods-order-item + .payment-methods-order-item {
  margin-top: 20px;
}

.payment-methods-total {
  margin-top: 36px;
}
.payment-methods-total .payment-methods-order-item h3 {
  font-weight: 500;
  color: var(--main-color);
}
/* Button */
.payment-methods-button{
    background-color: var(--main-color);
    border-radius: var(--border-radius);
    height: 42px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: 600;
    color: var(--white-color);
    margin-top: 20px;
}

/* Rule */
.payment-methods-rules{
    margin-top: 20px;
    line-height: 20px;
    text-align:center;
    font-size: 12px;
}

.payment-methods-rules > span{
    color: var(--main-color);
}
